Subject: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-burst-gap-discard-08.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 6 Dec 2012 12:14:18 +0000

This is a (second) Working Group Last Call for http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-burst-gap-discard-08.txt.  

Please read and review this document, and send your comments, questions and concerns to the WG list before December 20, 2012. If you read the document, have no comments and you believe that the document is ready for submission to the IESG as a Standards Track document please send a short message as well to help us in determining the level of review and consensus. 

Thanks and Regards,

Dan

---

From: Colin Perkins <[email-masked]>
Date: Tue, 11 Dec 2012 23:09:38 +0100

> Please read and review this document, and send your comments, questions and concerns to the WG list before December 20, 2012. If you read the document, have no comments and you believe that the doc…

This looks to be in good shape. Some minor points I noticed:

- The last paragraph of the definition of the Interval Metric Flag in Section 3.2 might be clearer written “Burst/Gap Discard Metrics can only be measured over definite intervals, and cannot be sampled. Accordingly, the value I=01, indicating a sampled value, MUST NOT be used.”

- For Packets discarded in bursts and Total packets expected in bursts, why are the values 0xFFFFFE and 0xFFFFFF listed as SHOULD? If there is a case where the condition is satisfied by the listed value isn’t reported, then this needs to be documented; otherwise the draft ought to say MUST instead.

- Section 3.3 reads as-if some new metrics are going to be defined, but all it actually does is reference another draft. I wonder if those summary metrics shouldn’t be defined in this draft, and if the split of related metrics into a separate draft is worthwhile in this case?

-- 
Colin Perkins
http://csperkins.org/

---

From: Qin Wu <[email-masked]>
Date: Wed, 12 Dec 2012 16:12:47 +0800

Hi,
----- Original Message ----- 
From: "Colin Perkins" <[email-masked]>
To: "Romascanu, Dan (Dan)" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, December 12, 2012 6:09 AM
Subject: Re: [xrblock] WGLC fordraft-ietf-xrblock-rtcp-xr-burst-gap-discard-08.txt

[Qin]: Good proposed change, thanks.

[Qin]: Accepted, we will use MUST.

[Qin]: Okay, it looks no harm to remove section 3.3.

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock

---

From: Colin Perkins <[email-masked]>
Date: Wed, 12 Dec 2012 17:11:23 +0100

> [Qin]: Okay, it looks no harm to remove section 3.3.

My question was actually whether it would make sense to split the summary metrics draft, and move some of that content into Section 3.3 of this draft.

-- 
Colin Perkins
http://csperkins.org/

---

From: Qin Wu <[email-masked]>
Date: Thu, 13 Dec 2012 10:25:34 +0800

----- Original Message ----- 
From: "Colin Perkins" <[email-masked]>
To: "Qin Wu" <[email-masked]>
Cc: "Romascanu, Dan (Dan)" <[email-masked]>; <[email-masked]>
Sent: Thursday, December 13, 2012 12:11 AM
Subject: Re: [xrblock] WGLC fordraft-ietf-xrblock-rtcp-xr-burst-gap-discard-08.txt

[Qin]: I see your point, sorry for misunderstanding your intent.
I propose the following changes to sectioin 3.3 by moving some text from summary metrics draft as follows:
OLD TEXT:
"
3.3.  Derived metrics based on reported metrics

   The metrics described here are intended to be used in conjunction
   with information from the Measurement Information block [RFC6776],
   discard block [DISCARD] (which MUST be present in the same RTCP
   packet as the Burst/Gap Discard block).

   These metrics provides the following information relevant to
   statistical parameters, including:

   o  The fraction of packets discarded during bursts (burst discard
      rate in [SUMSTAT])

   o  The fraction of packets discarded during gaps (gap discard rate in
      [SUMSTAT])

   The details on calculation these parameters in the metrics are
   described in [SUMSTAT].
"
NEW TEXT:
"
3.3.  Derived metrics based on reported metrics

   The metrics described here are intended to be used in conjunction

   with information from the Measurement Information block [RFC6776] 

  (which MUST be present in the same RTCP packet as the Burst/Gap 

   Discard block) and also with the metric "number of packets discarded"

   provided in the RTCP XR Discard Count Block [DISCARD]. The RTCP XR 

   Discard Count Block SHOULD be sent if the Burst/Gap Discard block is

   sent, but the converse does not apply.

   These metrics provides the following information relevant to

   statistical parameters, including:

   o  The fraction of packets discarded during bursts (burst discard

      rate in [SUMSTAT]),which can be calculated using the metric  

      " Packets Discarded in Bursts " and the metric " Total Packets expected in Bursts " provided in Burst/Gap Discard metrics block.

   o  The fraction of packets discarded during gaps (gap discard rate in

      [SUMSTAT]) ,which can be calculated using the metric  

     " Packets Discarded in Bursts " and the metric " Total Packets expected in Bursts " provided in Burst/Gap Discard metrics block.

   The details on calculation these parameters in the metrics are

   described in [SUMSTAT].

"

-- 
Colin Perkins
http://csperkins.org/

---

From: Colin Perkins <[email-masked]>
Date: Thu, 13 Dec 2012 10:17:25 +0100

> Subject: Re: [xrblock] WGLC fordraft-ietf-xrblock-rtcp-xr-burst-gap-discard-08.txt
...
>    The details on calculation these parameters in the metrics are

This improves the text a little, thanks.

-- 
Colin Perkins
http://csperkins.org/

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 19 Dec 2012 18:39:24 +0000

Hi,

The document is in good shape. I have however a number of comments and questions, please address them.

1. In Section 1.1, the second sentence in the second paragraph has a broken syntax. I suggest: 

s/ Burst/Gap metrics are typically used in Cumulative reports however MAY be used in Interval reports./ Burst/Gap metrics are typically used in Cumulative reports, however they also MAY be used in Interval reports./

2. It would be good to provide an example or a reference to the 'stream repair means' mentioned in section 1.4.

3. In Section 3.1 at the Interval Metric flag definition - I guess that the last phrase means 'Sampled Value (I=01) MUST not be used.' 

One more thing is missing here - what is the behavior of the receiver when receiving I=01 or I=00 which is undefined? I believe these need to be specified. 

4. In the definitions of Packets discarded in burst, and of Total Packets expected in bursts we have:

      If the measured value exceeds 0xFFFFFD, the value 0xFFFFFE SHOULD
      be reported to indicate an over-range measurement.  If the
      measurement is unavailable, the value 0xFFFFFF SHOULD be reported.  

What is the reasons that these are SHOULD? If there are exceptions, please specify these, if not s/SHOULD/MUST/

5. In Section 4 please expand PCM in ' PCM Severely Errored Second'

Thanks and Regards,

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Romascanu, Dan (Dan)
> Sent: Thursday, December 06, 2012 2:14 PM
> To: [email-masked]
> Subject: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-burst-gap-
> discard-08.txt
> 
> 
> 
> 
> This is a (second) Working Group Last Call for
> http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-burst-gap-discard-
> 08.txt.
> 
> Please read and review this document, and send your comments, questions
> and concerns to the WG list before December 20, 2012. If you read the
> document, have no comments and you believe that the document is ready
> for submission to the IESG as a Standards Track document please send a
> short message as well to help us in determining the level of review and
> consensus.
> 
> Thanks and Regards,
> 
> Dan
>

---

From: Qin Wu <[email-masked]>
Date: Fri, 21 Dec 2012 14:11:00 +0800

Thank you, we will fix these in the update.

Regards!
-Qin